/*
 * Copyright 1996-2002 netFluid Technology Ltd
 *
 * Goldwater is written and maintained by netFluid Technology Ltd.
 * http://www.nfluid.co.uk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 * $Revision: 1.1 $  $Date: 2003/01/11 12:40:09 $
 * ---------------------------------------------------------------------------
 */
#ifndef XL_MEMORY_H
#define XL_MEMORY_H

#include <phlib/xl_types.h>

void  store_int32_LittleEndian( uchar_t *, int32 );
int32 read_int32_LittleEndian( uchar_t * );

void  store_int32_BigEndian( uchar_t *, int32 );
int32 read_int32_BigEndian( uchar_t * );

void  store_int16_LittleEndian( uchar_t *, int16 );
int16 read_int16_LittleEndian( uchar_t * );

#endif



